6.0.0-git
2021-01-18

[#4547] Error when using the Horde SASL Authentication and IMAP CRAM-MD5 or DIGEST-MD5 login
Summary Error when using the Horde SASL Authentication and IMAP CRAM-MD5 or DIGEST-MD5 login
Queue IMP
Queue Version 4.1.3
Type Bug
State Resolved
Priority 3. High
Owners Horde Developers (at)
Requester pascal (at) sclafer (dot) com
Created 2006-10-21 (5203 days ago)
Due
Updated 2006-10-22 (5202 days ago)
Assigned 2006-10-22 (5202 days ago)
Resolved 2006-10-22 (5202 days ago)
Milestone
Patch No

History
2006-10-22 19:15:22 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Fixed in CVS and FW_3.
2006-10-22 12:34:38 Jan Schneider Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Looks like we need to change our class name until we prefix everything 
in Horde 4.
2006-10-21 10:03:13 pascal (at) sclafer (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Error when using the Horde SASL Authentication and IMAP CRAM-MD5 or DIGEST-MD5 login
Queue ⇒ IMP
Reply to this comment
When Horde use SASL authentication, it uses the file 
lib/Horde/Auth/sasl.php file, containing the class Auth_sasl.



When IMP log in on the IMAP server unsing CRAM-MD5 or DIGEST-MD5, it 
uses the SASL library, via the PEAR SASL Package. Or that packages 
contains a class which has the same name as the HORDE one: Auth_sasl. 
This error prevents the left menubar to be displayed, and the 
namesspaces to be downloaded from the IMAP Server.



Sorry for my bad english



Pascal SCLAFER


Saved Queries